| Kea 3.0.2-git

stdout_control_socket.h File Reference

Contains declarations for stdout control socket communication. More...

`#include <netconf/control_socket.h>`
`#include <iostream>`
Include dependency graph for stdout_control_socket.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | isc::netconf::StdoutControlSocket
| Class for control socket communication over stdout. More...

## Namespaces
namespace | isc
| Defines the logger used by the top-level component of kea-lfc.
namespace | isc::netconf

## Typedefs
using | isc::netconf::StdoutControlSocketPtr = std::shared_ptr<StdoutControlSocket>
| Type definition for the pointer to the `StdoutControlSocket`.

## Functions
template<>
ControlSocketBasePtr | isc::netconf::createControlSocket< CfgControlSocket::Type::STDOUT > (CfgControlSocketPtr ctrl_sock)
| Factory template specialization for stdout control sockets.

## Detailed Description

Contains declarations for stdout control socket communication.

Definition in file stdout_control_socket.h.